diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/SpecimenTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/SpecimenTest.java
index 3e02c592fb..9eab6b103c 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/SpecimenTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/SpecimenTest.java
@@ -20,14 +20,14 @@ import org.junit.Test;
 
 import eu.etaxonomy.cdm.model.agent.Institution;
 import eu.etaxonomy.cdm.model.agent.Person;
-import eu.etaxonomy.cdm.model.description.Sex;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 
 public class SpecimenTest {
@@ -39,8 +39,9 @@ public class SpecimenTest {
 	        CdmDocumentBuilder cdmDocumentBuilder = new CdmDocumentBuilder();
 	        URI uri = new URI(URIEncoder.encode(this.getClass().getResource(resource).toString()));
 	        DataSet dataSet = cdmDocumentBuilder.unmarshal(DataSet.class, new InputStreamReader(this.getClass().getResourceAsStream(resource)),uri.toString());
-			
-			Specimen specimen = (Specimen)dataSet.getOccurrences().get(0);	
+//	        List<SpecimenOrObservationBase> occurrences = dataSet.getOccurrences();
+	        
+			DerivedUnit specimen = (DerivedUnit)dataSet.getOccurrences().get(0);	
 			assertNotNull("Specimen must not be null",specimen);
 			
 			Institution institution = (Institution)dataSet.getAgents().get(0);
@@ -49,15 +50,15 @@ public class SpecimenTest {
 			assertNotNull("Person must not be null", person);
 			Taxon taxon = (Taxon)dataSet.getTaxonBases().get(0);
 			assertNotNull("Taxon must not be null",taxon);
-			TaxonNameBase name = dataSet.getTaxonomicNames().get(0);
+			TaxonNameBase<?,?> name = dataSet.getTaxonomicNames().get(0);
 			assertNotNull("TaxonNameBase must not be null",name);
-			Sex sex = (Sex)dataSet.getTerms().get(1);
+			DefinedTerm sex = (DefinedTerm)dataSet.getTerms().get(1);
 			
 			Collection collection = (Collection)dataSet.getCollections().get(0);
 			assertNotNull("Collection must not be null", collection);
 			
-			FieldObservation fieldObservation = (FieldObservation)dataSet.getOccurrences().get(1);
-			assertNotNull("FieldObservation must not be null", fieldObservation);
+			FieldUnit fieldUnit = (FieldUnit)dataSet.getOccurrences().get(1);
+			assertNotNull("FieldUnit must not be null", fieldUnit);
 			assertEquals("Specimen.collection must equal Collection",collection, specimen.getCollection());
 			assertEquals("Collection.institute must equal Institution",institution,collection.getInstitute());
 			
@@ -75,7 +76,7 @@ public class SpecimenTest {
 			DerivationEvent derivationEvent = (DerivationEvent)dataSet.getEventBases().get(1);
 			assertNotNull("DerivationEvent must not be null",derivationEvent);
 			
-			assertEquals("GatheringEvent must be equal to FieldObservation.getGatheringEvent()",gatheringEvent, fieldObservation.getGatheringEvent());
+			assertEquals("GatheringEvent must be equal to FieldUnit.getGatheringEvent()",gatheringEvent, fieldUnit.getGatheringEvent());
 			assertTrue("DerivationEvent.derivatives must contain Specimen",derivationEvent.getDerivatives().contains(specimen));
 			assertEquals("DerivationEvent must equal Specimen.derivedFrom",derivationEvent,specimen.getDerivedFrom());
 	    }
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/TaxonNameTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/TaxonNameTest.java
index cc85731fa2..9c3646cd01 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/TaxonNameTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/jaxb/TaxonNameTest.java
@@ -22,7 +22,7 @@ import eu.etaxonomy.cdm.model.name.BotanicalName;
 import eu.etaxonomy.cdm.model.name.NameTypeDesignation;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
 import eu.etaxonomy.cdm.model.name.ZoologicalName;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 
 public class TaxonNameTest {
 		
@@ -36,7 +36,7 @@ public class TaxonNameTest {
 			
 			BotanicalName botanicalName = (BotanicalName)dataSet.getTaxonomicNames().get(0);	
 			assertNotNull("BotanicalName must not be null",botanicalName);
-			Specimen specimen = (Specimen)dataSet.getOccurrences().get(0);
+			DerivedUnit specimen = (DerivedUnit)dataSet.getOccurrences().get(0);
 			
 			assertNotNull("BotanicalName.typeDesignations must not be null",botanicalName.getTypeDesignations());
 			assertFalse("BotanicalName.typeDesignations must contain TypeDesignation entities", botanicalName.getTypeDesignations().isEmpty());
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/ABCDImportConfiguratorTestNonEmptyDB.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/ABCDImportConfiguratorTestNonEmptyDB.java
index 8e9349f72f..b4bb700f57 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/ABCDImportConfiguratorTestNonEmptyDB.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/ABCDImportConfiguratorTestNonEmptyDB.java
@@ -28,7 +28,7 @@ import eu.etaxonomy.cdm.api.service.IOccurrenceService;
 import eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 
 /**
@@ -78,7 +78,7 @@ public class ABCDImportConfiguratorTestNonEmptyDB extends CdmTransactionalIntegr
         boolean result = defaultImport.invoke(configurator);
         assertTrue("Return value for import.invoke should be true", result);
         assertEquals("Number of TaxonNames is incorrect", 2, nameService.count(TaxonNameBase.class));
-        assertEquals("Number of specimen is incorrect", 11, occurrenceService.count(DerivedUnitBase.class));
+        assertEquals("Number of specimen is incorrect", 11, occurrenceService.count(DerivedUnit.class));
 
     }
 }
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/SpecimenImportConfiguratorTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/SpecimenImportConfiguratorTest.java
index abec4ffbe8..e23c66b680 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/SpecimenImportConfiguratorTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/abcd206/in/SpecimenImportConfiguratorTest.java
@@ -30,13 +30,12 @@ import eu.etaxonomy.cdm.api.service.ITermService;
 import eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 
 /**
  * @author a.mueller
  * @created 29.01.2009
- * @version 1.0
  */
 public class SpecimenImportConfiguratorTest extends CdmTransactionalIntegrationTest {
 
@@ -55,7 +54,6 @@ public class SpecimenImportConfiguratorTest extends CdmTransactionalIntegrationT
 
 	private IImportConfigurator configurator;
 	private IImportConfigurator configurator2;
-	private IImportConfigurator configurator3;
 
 	@Before
 	public void setUp() {
@@ -117,21 +115,21 @@ public class SpecimenImportConfiguratorTest extends CdmTransactionalIntegrationT
         boolean result = defaultImport.invoke(configurator2);
         assertTrue("Return value for import.invoke should be true", result);
         assertEquals("Number of TaxonNames is incorrect", 2, nameService.count(TaxonNameBase.class));
-        assertEquals("Number of specimen and observation is incorrect", 10, occurrenceService.count(DerivedUnitBase.class));
-        try {
-            writeDbUnitDataSetFile(new String[] {
-                    "TAXONBASE", "TAXONNAMEBASE",
-                    "REFERENCE", "DESCRIPTIONELEMENTBASE", "DESCRIPTIONBASE",
-                    "AGENTBASE", "CLASSIFICATION", "CLASSIFICATION_TAXONNODE", "TAXONNODE",
-                    "HOMOTYPICALGROUP", "LANGUAGESTRING","COLLECTION","SPECIMENOROBSERVATIONBASE",
-                    "ORIGINALSOURCEBASE", "GATHERINGEVENT", "DETERMINATIONEVENT",
-                    "DERIVATIONEVENT", "SPECIMENOROBSERVATIONBASE_DERIVATIONEVENT",
-                    "HIBERNATE_SEQUENCES",
-             });
-        } catch (FileNotFoundException e) {
-            // TODO Auto-generated catch block
-            e.printStackTrace();
-        }
+        assertEquals("Number of specimen and observation is incorrect", 10, occurrenceService.count(DerivedUnit.class));
+//        try {
+//            writeDbUnitDataSetFile(new String[] {
+//                    "TAXONBASE", "TAXONNAMEBASE",
+//                    "REFERENCE", "DESCRIPTIONELEMENTBASE", "DESCRIPTIONBASE",
+//                    "AGENTBASE", "CLASSIFICATION", "CLASSIFICATION_TAXONNODE", "TAXONNODE",
+//                    "HOMOTYPICALGROUP", "LANGUAGESTRING","COLLECTION","SPECIMENOROBSERVATIONBASE",
+//                    "ORIGINALSOURCEBASE", "GATHERINGEVENT", "DETERMINATIONEVENT",
+//                    "DERIVATIONEVENT", "SPECIMENOROBSERVATIONBASE_DERIVATIONEVENT",
+//                    "HIBERNATE_SEQUENCES",
+//             });
+//        } catch (FileNotFoundException e) {
+//            // TODO Auto-generated catch block
+//            e.printStackTrace();
+//        }
 //                File file = new File("./ABCDPart1Dataset.xml");
 //        FileOutputStream fos;
 //        try {
@@ -146,6 +144,8 @@ public class SpecimenImportConfiguratorTest extends CdmTransactionalIntegrationT
 //            e.printStackTrace();
 //        }
 
+		assertEquals("Number of TaxonNames is incorrect", 2, nameService.count(TaxonNameBase.class));
+		assertEquals("Number of specimen is incorrect", 10, occurrenceService.count(DerivedUnit.class));
 
     }
 }
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelImportConfiguratorTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelImportConfiguratorTest.java
index df3da5cb1f..d0056a869c 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelImportConfiguratorTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelImportConfiguratorTest.java
@@ -26,8 +26,8 @@ import eu.etaxonomy.cdm.api.service.INameService;
 import eu.etaxonomy.cdm.api.service.IOccurrenceService;
 import eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 
@@ -74,8 +74,8 @@ public class ExcelImportConfiguratorTest extends CdmTransactionalIntegrationTest
 		assertTrue("Return value for import.invoke should be true", result);
 		assertEquals("Number of TaxonNames should be 3", 3, nameService.count(null));
 		assertEquals("Number of specimen should be 6", 6, occurrenceService.count(SpecimenOrObservationBase.class));
-		assertEquals("Number of specimen should be 3", 3, occurrenceService.count(DerivedUnitBase.class));
-		assertEquals("Number of specimen should be 3", 3, occurrenceService.count(FieldObservation.class));
+		assertEquals("Number of specimen should be 3", 3, occurrenceService.count(DerivedUnit.class));
+		assertEquals("Number of specimen should be 3", 3, occurrenceService.count(FieldUnit.class));
 
 	}
 
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelSpecimenImportExampleTest.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelSpecimenImportExampleTest.java
index 96df7e3230..e322eebab1 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelSpecimenImportExampleTest.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/io/specimen/excel/in/ExcelSpecimenImportExampleTest.java
@@ -30,14 +30,13 @@ import eu.etaxonomy.cdm.api.service.IOccurrenceService;
 import eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator;
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 
 /**
  * @author a.mueller
  * @created 10.05.2011
- * @version 1.0
  */
 public class ExcelSpecimenImportExampleTest extends
 		CdmTransactionalIntegrationTest {
@@ -61,7 +60,7 @@ public class ExcelSpecimenImportExampleTest extends
 				+ "' does not exist", url);
 		try {
 			configurator = SpecimenCdmExcelImportConfigurator.NewInstance(url.toURI(), null,false);
-			configurator.setNomenclaturalCode(NomenclaturalCode.ICBN);
+			configurator.setNomenclaturalCode(NomenclaturalCode.ICNAFP);
 		} catch (URISyntaxException e) {
 			e.printStackTrace();
 			Assert.fail();
@@ -83,9 +82,9 @@ public class ExcelSpecimenImportExampleTest extends
 		 boolean result = defaultImport.invoke(configurator);
 		 assertTrue("Return value for import.invoke should be true", result);
 		 assertEquals("Number of specimen should be 3", 3,
-		 occurrenceService.count(DerivedUnitBase.class));
-		 assertEquals("Number of field observations should be 3", 3,
-		 occurrenceService.count(FieldObservation.class));
+		 occurrenceService.count(DerivedUnit.class));
+		 assertEquals("Number of field units should be 3", 3,
+		 occurrenceService.count(FieldUnit.class));
 
 		 printDataSet(System.out, new String[]{"SpecimenOrObservationBase","GatheringEvent","DerivationEvent"});
 
@@ -94,12 +93,11 @@ public class ExcelSpecimenImportExampleTest extends
 	@Test
 	@DataSet
 	@ExpectedDataSet
-//	@Ignore
 	public void testResultSet() {
 		boolean result = defaultImport.invoke(configurator);
 		assertTrue("Return value for import.invoke should be true", result);
-		assertEquals("Number of specimen should be 3", 3, occurrenceService.count(DerivedUnitBase.class));
-		assertEquals("Number of field observations should be 3", 3, occurrenceService.count(FieldObservation.class));
+		assertEquals("Number of specimen should be 3", 3, occurrenceService.count(DerivedUnit.class));
+		assertEquals("Number of field units should be 3", 3, occurrenceService.count(FieldUnit.class));
 
 //		try {
 //			String filePath = System.getProperty("java.io.tmpdir")
diff --git a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/test/integration/TestCdmDbComparator.java b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/test/integration/TestCdmDbComparator.java
index 505df7a5bf..f4770a95c6 100644
--- a/cdmlib-io/src/test/java/eu/etaxonomy/cdm/test/integration/TestCdmDbComparator.java
+++ b/cdmlib-io/src/test/java/eu/etaxonomy/cdm/test/integration/TestCdmDbComparator.java
@@ -116,7 +116,6 @@ public class TestCdmDbComparator {
 //			"GatheringEvent", 
 //			"GatheringEvent_Annotation", 
 //			"GatheringEvent_Marker", 
-//			"GenBankAccession", 
 			"HomotypicalGroup", 
 //			"HomotypicalGroup_Annotation", 
 //			"HomotypicalGroup_Marker", 
@@ -158,7 +157,6 @@ public class TestCdmDbComparator {
 //			"Sequence",
 //			"Sequence_Annotation", 
 //			"Sequence_Extension", 
-//			"Sequence_GenBankAccession", 
 //			"Sequence_Marker", 
 //			"Sequence_Media", 
 //			"Sequence_OriginalSource", 
